## noris-bibliothek 1.1.0-2

=== Makefile ===
DESTDIR=
TARGET=/usr/share/noris-bibliothek/htdocs

all:
	: nix zu tun

install:
	install -d ${DESTDIR}${TARGET}
	install -d ${DESTDIR}/etc/apache2/conf.d
	install -m644 *.php *.css ${DESTDIR}${TARGET}
	install -m644 bibliothek.apache2 ${DESTDIR}/etc/apache2/conf.d/bibliothek

=== debian/changelog ===
noris-bibliothek (1.1.0-2) etch; urgency=low

  * Schema der Versionsnummerierung meinem Standard angepasst :-)
  * Apache: htpasswd.rt statt htpasswd nutzen.
  * Architektur korrigiert. 

 -- Michael Radziej <mir@noris.de>  Thu, 19 Feb 2009 08:00:06 +0100

noris-bibliothek (1.0-6) jaunty; urgency=low

  * ISBN-Nummern können nun im Admin-Bereich in einem beliebigen Format
    eingegeben werden. Es wird autoamtisch durch zwei neue Funktionen das
    richtige Format erzeugt

  * Es wurde ein Bug behoben bei dem nach dem eingeben einer 13-Stelligen
    ISBN nur die ersten drei Ziffern abgespeichert wurden.

 -- Max Gruber <max@Xilian.office.noris.de>  Mon, 02 Feb 2009 16:15:36 +0100

noris-bibliothek (1.0-5) jaunty; urgency=low

  * Überarbeitung der Bibliothek

 -- Max Gruber <max@Xilian>  Tue, 27 Jan 2009 11:33:24 +0100

noris-bibliothek (1.0-4) feisty; urgency=low

  * SQL-Statement musste ueberarbeiter werden

 -- Max Gruber <max@Xilian>  Mon,  7 Jul 2008 08:01:44 +0200

noris-bibliothek (1.0-3) stable; urgency=low

  * Titel wir jetzt nach einem ":" abgeschnitten und nicht mehr nach "."

 -- Rena Vetterling <dido@dido-desktop>  Fri, 04 Jul 2008 10:17:41 +0200

noris-bibliothek (1.0-2) stable; urgency=low

  * Ein Buch kann als Auflagen keine "0" mehr haben.
    Automatisch ist die Auflage nun "1"

  * Fehlermeldungen sind nun deutlicher. Sie werden
    rot auf weißen Hintergrund und fett dargestellt

  * Buecher die kein Erscheinungsjahr haben bzw. dieses
    nicht bekannt ist, werden nun nicht mehr mit "0000"
    dargestellt sondern mit einem Leerstring

  * Die ausgetragenen Buecher im Admin-Interfce werden
    jetzt nicht mehr nur durchgestrichen sondern auch
    noch in [ ]-Klammern dargestellt

  * Es gab einen Fehler wenn man als neue Kategorie
    eine bereits bestehende Kategorie eingibt. Dies
    wurde nun behoben, anstelle wird dem Buch die
    Kategorie einfach zugeteilt

  * Wenn das Anlegen eines Buches fehlschlaegt, wurde
    die Kategorie trotzdem eingetragen. Dies wurde
    nun mit in die TRANSACTION aufgenommen

  * Wenn man auf der Index.php nach einem Buch sucht, welches ein % oder ein _ im Titel hat,
    wurden einem alle Buecher angezeigt. Dies wurde nun behoben

  * Standardmaessig koennen nun bis zu 10 Autoren eingetragen werden.

  * Die Konfiguration fuer die berechtigten User fuer das Admin-Interface werden nun in der config.php
    eingetragen und sind nun nicht mehr von Apache-Einstellungen abhaengig

  * Man kann in der config.php nun waehlen ob Amazon nach Daten zu einer ISBN gefragt werden soll oder nicht

  * Der Amazon-Key wurde ebenfalls in die config.php mit ausgelagert.

 -- Max Gruber <max@noris.de>  Fri, 04 Jul 2008 09:43:00 +0200

=== debian/control ===
Source: noris-bibliothek
Section: web
Priority: extra
Maintainer: Rena Vetterling <dido@noris.de>, Max Gruber <max@noris.de>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: noris-bibliothek
Architecture: all
Conflicts: bibliothek
Replaces: bibliothek
Depends: ${shlibs:Depends}, ${misc:Depends}, libapache2-mod-php5 | libapache2-mod-suphp | libapache-mod-suphp | libapache-mod-php5, php5-mysql
Description: noris-Bibliotheksverwaltung
 PHP-Webfrontend fuer die Verwaltung von Buechern basierend auf einer MySQL-Datenbank.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/bibliothek.sgml > bibliothek.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/bibliothek.
	$(MAKE) DESTDIR=$(CURDIR)/debian/noris-bibliothek install


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_link
	dh_installdebconf
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
